Package org.apache.calcite.avatica.util

# Class AbstractCursor.StructGetter

java.lang.Object
org.apache.calcite.avatica.util.AbstractCursor.StructGetter

All Implemented Interfaces:
  `AbstractCursor.Getter`

Enclosing class:
  AbstractCursor

public class AbstractCursor.StructGetter extends Object implements AbstractCursor.Getter
Implementation of `AbstractCursor.Getter` that returns the value of a given field of the current contents of another getter.

## Field Summary

Fields
Modifier and Type
Field
Description
`final AbstractCursor.Getter`
`getter`

## Constructor Summary

Constructors
Constructor
Description
`StructGetter(AbstractCursor.Getter getter, ColumnMetaData columnMetaData)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getObject()`
`boolean`
`wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### getter

public final AbstractCursor.Getter getter

## Constructor Details

### StructGetter

public StructGetter(AbstractCursor.Getter getter, ColumnMetaData columnMetaData)

## Method Details

### getObject

public Object getObject() throws SQLException

Specified by:
  `getObject` in interface `AbstractCursor.Getter`
Throws:
  `SQLException`

### wasNull

public boolean wasNull() throws SQLException

Specified by:
  `wasNull` in interface `AbstractCursor.Getter`
Throws:
  `SQLException`